%include	/usr/lib/rpm/macros.perl
Summary:	help2man - automatic manual page generation
Summary(pl.UTF-8):	help2man - automatyczne generowanie stron manuala
Name:		help2man
Version:	1.43.3
Release:	1
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.debian.org/debian/pool/main/h/help2man/%{name}_%{version}.tar.gz
# Source0-md5:	a84868db7c139238df8add5d86a0b54f
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/help2man/
BuildRequires:	gettext-devel
BuildRequires:	perl-base >= 1:5.8
BuildRequires:	perl-Locale-gettext
BuildRequires:	rpm-perlprov
BuildRequires:	texinfo
Requires:	perl-base >= 1:5.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
help2man is a tool for automatically generating simple manual pages
from program output. This program is intended to provide an easy way
for software authors to include a manual page in their distribution
without having to maintain that document. Given a program which
produces reasonably standard `--help' and `--version' outputs,
help2man can re-arrange that output into something which resembles a
manual page.

%description -l pl.UTF-8
help2man to narzędzie do automatycznego generowania prostych stron
manuala na podstawie wyjścia z programu. Ten program ma za zadanie dać
autorom oprogramowania łatwy sposób na dołączanie stron manuala bez
opiekowania się nimi. Po wskazaniu programu, który daje w miarę
standardowe wyjście dla opcji --help i --version, help2man potrafi
przekształcić to wyjście na coś przypominającego stronę manuala.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-nls

%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README THANKS debian/changelog
%attr(755,root,root) %{_bindir}/help2man
%dir %{_libdir}/help2man
%attr(755,root,root) %{_libdir}/help2man/bindtextdomain.so
%{_infodir}/help2man.info*
%{_mandir}/man1/help2man.1*
%lang(de) %{_mandir}/de/man1/help2man.1*
%lang(el) %{_mandir}/el/man1/help2man.1*
%lang(eo) %{_mandir}/eo/man1/help2man.1*
%lang(fi) %{_mandir}/fi/man1/help2man.1*
%lang(fr) %{_mandir}/fr/man1/help2man.1*
%lang(hr) %{_mandir}/hr/man1/help2man.1*
%lang(it) %{_mandir}/it/man1/help2man.1*
%lang(ja) %{_mandir}/ja/man1/help2man.1*
%lang(pl) %{_mandir}/pl/man1/help2man.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/help2man.1*
%lang(ru) %{_mandir}/ru/man1/help2man.1*
%lang(sr) %{_mandir}/sr/man1/help2man.1*
%lang(sv) %{_mandir}/sv/man1/help2man.1*
%lang(uk) %{_mandir}/uk/man1/help2man.1*
%lang(vi) %{_mandir}/vi/man1/help2man.1*
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/help2man.git;a=log;h=master

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> e4134b1
- updated to 1.43.3

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 408614d
- updated to 1.43.2

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 153c092
- updated to 1.41.2

* Wed Jan 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 0646bd4
- updated to 1.41.1

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 134ec6d
- updated to 1.40.13

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 0c88c27
- updated to 1.40.12

* Mon Jul 30 2012 Jakub Bogusz <qboosh@pld-linux.org> b9a472e
- updated to 1.40.11

* Mon Jun 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 08b370f
- updated to 1.40.10

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> bed6848
- updated to 1.40.9

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> b1fb649
- updated to 1.40.8

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 444584f
- updated to 1.40.7

* Tue Feb 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 83f7b5d
- updated to 1.40.6

* Wed Jan 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 20fce19
- updated to 1.40.5

* Thu Jun 23 2011 zbyniu <zbyniu@pld-linux.org> 54b3580
- up to 1.40.4

* Wed Jun 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 9a4f2a1
- updated to 1.40.3

* Sat Jun 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 4b9a23e
- updated to 1.40.2
- updated info patch

* Fri May 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 9bd85b0
- updated to 1.39.4

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> d5ef64f
- updated to 1.39.3

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 085d50f
- updated to 1.39.2
- removed obsolete pl.po-update patch

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 3bec5d2
- updated to 1.39.1
- added pl.po-update patch

